import formidable = require('formidable');
import { upImgPathConfig } from '../serverConfig';
import * as crypto from 'crypto';
const path = require('path');

//上传psd文件
export async function upPsdFile(req) {
    
    let result = await up(req, getFileName());
    console.log(result);
    //上传成功通过fs改名称
    return {}
    
}

function up(req, fileName) {
    let form = new formidable.IncomingForm();
    let psdUrl = path.join(__dirname.substring(0,__dirname.indexOf("out")), upImgPathConfig.psd);
    form.uploadDir = psdUrl;
    form.name = fileName
    return new Promise((resolve, reject) => {
        form.parse(req, (err, fields, files) => {
            if (err) reject(err);
            else resolve(files);
        });
    });
}

function getFileName() {
    let randomStr = Math.ceil(Math.random()* 10000000) + '' +new Date().valueOf();
    const md5 = crypto.createHash('md5');
    let fileNameMd5 = md5.update(randomStr);
    return fileNameMd5+'.psd';
}

