import * as asyncHandler from 'express-async-handler'
import * as dataListBiz from '../biz/dataList'
import * as userRouters from './user'
import * as picRouters from './pic'

export function setRouter(httpServer) {
    httpServer.get('/datalist', asyncHandler(dataListBiz.getData));
    userRouters.setRouter(httpServer);
    picRouters.setRouter(httpServer);
}